libvala-0.14-dev_0.14.2-2_i386.deb


Advertisement

Description

libvala-0.14-dev - C# like language for the GObject system - development headers

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libvala-0.14-dev
Package version 0.14.2
Package release 2
Package architecture i386
Package type deb
Installed size 664 B
Download size 165.57 KB
Official Mirror ftp.br.debian.org
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing
any additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.
This package has the development library and headers for valac. These
headers can be used for building tools around Vala.

Alternatives

Package Version Architecture Repository
libvala-0.14-dev_0.14.2-2_amd64.deb 0.14.2 amd64 Debian Main
libvala-0.14-dev - - -

Requires

Name Value
libglib2.0-dev >= 2.26
libvala-0.14-0 = 0.14.2-2

Provides

Name Value
libvala-dev -

Replaces

Name Value
libvala-0.10-dev -
libvala-0.12-dev -

Download

Type URL
Binary Package libvala-0.14-dev_0.14.2-2_i386.deb
Source Package vala-0.14

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvala-0.14-dev deb package:
    # sudo apt-get install libvala-0.14-dev

Files

Path
/usr/include/vala-0.14/vala.h
/usr/include/vala-0.14/valaccode.h
/usr/include/vala-0.14/valacodegen.h
/usr/include/vala-0.14/valagee.h
/usr/lib/libvala-0.14.so
/usr/lib/pkgconfig/libvala-0.14.pc
/usr/share/doc/libvala-0.14-dev/AUTHORS
/usr/share/doc/libvala-0.14-dev/NEWS.gz
/usr/share/doc/libvala-0.14-dev/README
/usr/share/doc/libvala-0.14-dev/THANKS
/usr/share/doc/libvala-0.14-dev/changelog.Debian.gz
/usr/share/doc/libvala-0.14-dev/changelog.gz
/usr/share/doc/libvala-0.14-dev/copyright

Changelog

2012-03-13 - Sjoerd Simons <sjoerd@debian.org>
vala-0.14 (0.14.2-2) unstable; urgency=low
* Make vala 0.14 the default
2012-02-09 - Sebastian Reichel <sre@debian.org>
vala-0.14 (0.14.2-1) unstable; urgency=low
* Team upload.
* Add me to uploaders.
* New upstream release (Closes: #651707)
- New bindings: libwnck-3.0, libnl-3.0, packagekit-glib2, xtst
- Bug fixes and binding updates
- /usr/share/aclocal/vala.m4 is no longer installed by libvala-0.14-dev
to avoid file conflicts with parallel installations
* Switch copyright format to DEP5
* Update watch file to search for xz tarballs
2011-09-28 - Sjoerd Simons <sjoerd@debian.org>
vala-0.14 (0.14.0-1) unstable; urgency=low
* New upstream release
* Switch compression to xz
* debian/control: Don't build a valac binary package, keep 0.12 the default
for now
2011-09-16 - Sjoerd Simons <sjoerd@debian.org>
vala-0.14 (0.13.4-1) experimental; urgency=low
* New upstream release
2011-08-26 - Sjoerd Simons <sjoerd@debian.org>
vala-0.14 (0.13.3-1) experimental; urgency=low
* New upstream release
2011-08-24 - Sebastian Dröge <slomo@debian.org>
vala-0.12 (0.12.1-2) unstable; urgency=low
* debian/control,
debian/valac-0.12.postinst:
+ Make valac 0.12 the default valac version now.
2011-06-23 - Michael Biebl <biebl@debian.org>
vala-0.12 (0.12.1-1) unstable; urgency=low
* Team upload.
* New upstream release.
- Fix detecting gunichar type as unichar. (Closes: #628281)
- Add function bindings to deal with KeySym and KeyCode. (Closes: #619505)
- Fix Display.display_string bindings. (Closes: #619503)
* Refresh debian/patches/99_ltmain_as-needed.patch.
* Bump (Build-)Depends on libglib2.0-dev to (>= 2.26) according to
configure.ac.
* Bump Standards-Version to 3.9.2. No further changes.
* Switch to bzip2 tarballs.
2011-04-20 - Sebastian Dröge <slomo@debian.org>
vala-0.12 (0.12.0-4) unstable; urgency=low
* debian/rules:
+ Now really ignore testsuite failures on Hurd/kFreeBSD.
2011-04-19 - Sebastian Dröge <slomo@debian.org>
vala-0.12 (0.12.0-3) unstable; urgency=low
* debian/rules:
+ Next try of fixing build failures on Hurd/kFreeBSD (Closes: #618642).
2011-04-10 - Sebastian Dröge <slomo@debian.org>
vala-0.12 (0.12.0-2) unstable; urgency=low
* debian/rules:
+ Do not make testsuite failures fatal on Hurd and kFreeBSD. The
DBus tests are failing there because of something that looks
like a bug in GDBus.

See Also

Package Description
libvala-0.16-0_0.16.1-2_i386.deb C# like language for the GObject system - library
libvala-0.16-dev_0.16.1-2_i386.deb C# like language for the GObject system - development headers
libvaladoc-dev_0.3.2~git20120227-1_i386.deb API documentation generator for vala (devel files)
libvaladoc1_0.3.2~git20120227-1_i386.deb API documentation generator for vala (library)
libvalhalla-bin_2.0.0-4+b1_i386.deb test utilities for libvalhalla
libvalhalla-dev_2.0.0-4+b1_i386.deb tiny media scanner library -- development files
libvalhalla-doc_2.0.0-4_all.deb developer documentation for libvalhalla
libvalhalla2_2.0.0-4+b1_i386.deb tiny media scanner library
libvalidatable-ruby1.8_1.6.7-9_all.deb Transitional package for ruby-validatable
libvalidatable-ruby1.9.1_1.6.7-9_all.deb Transitional package for ruby-validatable
libvalidatable-ruby_1.6.7-9_all.deb Transitional package for ruby-validatable
libvalidate-net-perl_0.6-1_all.deb Perl module for validating Net:: related strings
libvalidation-class-perl_7.70-1_all.deb module for centralized, simplified input validation
libvamp-hostsdk3_2.1-1_i386.deb helper library for Vamp hosts written in C++
libvamp-sdk2_2.1-1_i386.deb helper library for Vamp plugins written in C++
Advertisement
Advertisement